# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'designer/main_window.ui'
#
# Created by: PyQt5 UI code generator 5.15.9
#
# WARNING: Any manual changes made to this file will be lost when pyuic5 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt5 import QtCore, QtGui, QtWidgets


class Ui_MainWindow(object):
    def setupUi(self, MainWindow):
        MainWindow.setObjectName("MainWindow")
        MainWindow.resize(1023, 721)
        icon = QtGui.QIcon()
        icon.addPixmap(QtGui.QPixmap(":/galaxie_logo_nord10.png"), QtGui.QIcon.Normal, QtGui.QIcon.Off)
        MainWindow.setWindowIcon(icon)
        self.centralwidget = QtWidgets.QWidget(MainWindow)
        self.centralwidget.setObjectName("centralwidget")
        self.verticalLayout_3 = QtWidgets.QVBoxLayout(self.centralwidget)
        self.verticalLayout_3.setContentsMargins(0, 0, 0, 0)
        self.verticalLayout_3.setSpacing(0)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.splitter_2 = QtWidgets.QSplitter(self.centralwidget)
        self.splitter_2.setOrientation(QtCore.Qt.Horizontal)
        self.splitter_2.setHandleWidth(1)
        self.splitter_2.setChildrenCollapsible(False)
        self.splitter_2.setObjectName("splitter_2")
        self.MainTreeWidget = QtWidgets.QTreeWidget(self.splitter_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.MinimumExpanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.MainTreeWidget.sizePolicy().hasHeightForWidth())
        self.MainTreeWidget.setSizePolicy(sizePolicy)
        self.MainTreeWidget.setMinimumSize(QtCore.QSize(150, 0))
        self.MainTreeWidget.setBaseSize(QtCore.QSize(149, 0))
        self.MainTreeWidget.setFrameShape(QtWidgets.QFrame.NoFrame)
        self.MainTreeWidget.setFrameShadow(QtWidgets.QFrame.Raised)
        self.MainTreeWidget.setLineWidth(0)
        self.MainTreeWidget.setSizeAdjustPolicy(QtWidgets.QAbstractScrollArea.AdjustIgnored)
        self.MainTreeWidget.setAlternatingRowColors(True)
        self.MainTreeWidget.setIconSize(QtCore.QSize(16, 16))
        self.MainTreeWidget.setUniformRowHeights(True)
        self.MainTreeWidget.setObjectName("MainTreeWidget")
        self.MainTreeWidget.header().setVisible(False)
        self.stackedWidget_3 = QtWidgets.QStackedWidget(self.splitter_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.MinimumExpanding, QtWidgets.QSizePolicy.MinimumExpanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.stackedWidget_3.sizePolicy().hasHeightForWidth())
        self.stackedWidget_3.setSizePolicy(sizePolicy)
        self.stackedWidget_3.setObjectName("stackedWidget_3")
        self.Server = QtWidgets.QWidget()
        self.Server.setObjectName("Server")
        self.verticalLayout = QtWidgets.QVBoxLayout(self.Server)
        self.verticalLayout.setContentsMargins(0, 0, 0, 0)
        self.verticalLayout.setSpacing(0)
        self.verticalLayout.setObjectName("verticalLayout")
        self.horizontalFrame = QtWidgets.QFrame(self.Server)
        self.horizontalFrame.setFrameShape(QtWidgets.QFrame.NoFrame)
        self.horizontalFrame.setObjectName("horizontalFrame")
        self.horizontalLayout_4 = QtWidgets.QHBoxLayout(self.horizontalFrame)
        self.horizontalLayout_4.setContentsMargins(1, 1, 1, 1)
        self.horizontalLayout_4.setSpacing(0)
        self.horizontalLayout_4.setObjectName("horizontalLayout_4")
        self.toolButton = QtWidgets.QToolButton(self.horizontalFrame)
        icon = QtGui.QIcon.fromTheme("dialog-information")
        self.toolButton.setIcon(icon)
        self.toolButton.setIconSize(QtCore.QSize(32, 32))
        self.toolButton.setCheckable(True)
        self.toolButton.setToolButtonStyle(QtCore.Qt.ToolButtonTextUnderIcon)
        self.toolButton.setAutoRaise(True)
        self.toolButton.setObjectName("toolButton")
        self.buttonGroup = QtWidgets.QButtonGroup(MainWindow)
        self.buttonGroup.setObjectName("buttonGroup")
        self.buttonGroup.addButton(self.toolButton)
        self.horizontalLayout_4.addWidget(self.toolButton)
        self.toolButton_11 = QtWidgets.QToolButton(self.horizontalFrame)
        icon = QtGui.QIcon.fromTheme("text-x-changelog")
        self.toolButton_11.setIcon(icon)
        self.toolButton_11.setIconSize(QtCore.QSize(32, 32))
        self.toolButton_11.setCheckable(True)
        self.toolButton_11.setToolButtonStyle(QtCore.Qt.ToolButtonTextUnderIcon)
        self.toolButton_11.setAutoRaise(True)
        self.toolButton_11.setObjectName("toolButton_11")
        self.buttonGroup.addButton(self.toolButton_11)
        self.horizontalLayout_4.addWidget(self.toolButton_11)
        self.toolButton_10 = QtWidgets.QToolButton(self.horizontalFrame)
        icon = QtGui.QIcon.fromTheme("utilities-system-monitor")
        self.toolButton_10.setIcon(icon)
        self.toolButton_10.setIconSize(QtCore.QSize(32, 32))
        self.toolButton_10.setCheckable(True)
        self.toolButton_10.setToolButtonStyle(QtCore.Qt.ToolButtonTextUnderIcon)
        self.toolButton_10.setAutoRaise(True)
        self.toolButton_10.setObjectName("toolButton_10")
        self.buttonGroup.addButton(self.toolButton_10)
        self.horizontalLayout_4.addWidget(self.toolButton_10)
        self.toolButton_9 = QtWidgets.QToolButton(self.horizontalFrame)
        icon = QtGui.QIcon.fromTheme("folder-video")
        self.toolButton_9.setIcon(icon)
        self.toolButton_9.setIconSize(QtCore.QSize(32, 32))
        self.toolButton_9.setCheckable(True)
        self.toolButton_9.setToolButtonStyle(QtCore.Qt.ToolButtonTextUnderIcon)
        self.toolButton_9.setAutoRaise(True)
        self.toolButton_9.setObjectName("toolButton_9")
        self.buttonGroup.addButton(self.toolButton_9)
        self.horizontalLayout_4.addWidget(self.toolButton_9)
        self.toolButton_12 = QtWidgets.QToolButton(self.horizontalFrame)
        icon = QtGui.QIcon.fromTheme("system-software-update")
        self.toolButton_12.setIcon(icon)
        self.toolButton_12.setIconSize(QtCore.QSize(32, 32))
        self.toolButton_12.setCheckable(True)
        self.toolButton_12.setToolButtonStyle(QtCore.Qt.ToolButtonTextUnderIcon)
        self.toolButton_12.setAutoRaise(True)
        self.toolButton_12.setObjectName("toolButton_12")
        self.buttonGroup.addButton(self.toolButton_12)
        self.horizontalLayout_4.addWidget(self.toolButton_12)
        self.toolButton_8 = QtWidgets.QToolButton(self.horizontalFrame)
        icon = QtGui.QIcon.fromTheme("security-high")
        self.toolButton_8.setIcon(icon)
        self.toolButton_8.setIconSize(QtCore.QSize(32, 32))
        self.toolButton_8.setCheckable(True)
        self.toolButton_8.setToolButtonStyle(QtCore.Qt.ToolButtonTextUnderIcon)
        self.toolButton_8.setAutoRaise(True)
        self.toolButton_8.setObjectName("toolButton_8")
        self.buttonGroup.addButton(self.toolButton_8)
        self.horizontalLayout_4.addWidget(self.toolButton_8)
        self.toolButton_7 = QtWidgets.QToolButton(self.horizontalFrame)
        icon = QtGui.QIcon.fromTheme("emblem-system")
        self.toolButton_7.setIcon(icon)
        self.toolButton_7.setIconSize(QtCore.QSize(32, 32))
        self.toolButton_7.setCheckable(True)
        self.toolButton_7.setToolButtonStyle(QtCore.Qt.ToolButtonTextUnderIcon)
        self.toolButton_7.setAutoRaise(True)
        self.toolButton_7.setObjectName("toolButton_7")
        self.buttonGroup.addButton(self.toolButton_7)
        self.horizontalLayout_4.addWidget(self.toolButton_7)
        spacerItem = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_4.addItem(spacerItem)
        self.verticalLayout.addWidget(self.horizontalFrame)
        self.splitter = QtWidgets.QSplitter(self.Server)
        self.splitter.setOrientation(QtCore.Qt.Vertical)
        self.splitter.setHandleWidth(0)
        self.splitter.setObjectName("splitter")
        self.verticalLayoutWidget = QtWidgets.QWidget(self.splitter)
        self.verticalLayoutWidget.setObjectName("verticalLayoutWidget")
        self.horizontalLayout_7 = QtWidgets.QHBoxLayout(self.verticalLayoutWidget)
        self.horizontalLayout_7.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout_7.setSpacing(0)
        self.horizontalLayout_7.setObjectName("horizontalLayout_7")
        self.stackedWidget = QtWidgets.QStackedWidget(self.verticalLayoutWidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.MinimumExpanding, QtWidgets.QSizePolicy.MinimumExpanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.stackedWidget.sizePolicy().hasHeightForWidth())
        self.stackedWidget.setSizePolicy(sizePolicy)
        self.stackedWidget.setFrameShape(QtWidgets.QFrame.NoFrame)
        self.stackedWidget.setFrameShadow(QtWidgets.QFrame.Raised)
        self.stackedWidget.setLineWidth(0)
        self.stackedWidget.setMidLineWidth(0)
        self.stackedWidget.setObjectName("stackedWidget")
        self.overview = QtWidgets.QWidget()
        self.overview.setObjectName("overview")
        self.widget = QtWidgets.QWidget(self.overview)
        self.widget.setGeometry(QtCore.QRect(150, 100, 401, 121))
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.MinimumExpanding, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.widget.sizePolicy().hasHeightForWidth())
        self.widget.setSizePolicy(sizePolicy)
        self.widget.setStyleSheet("\n"
"#SearchFrame{\n"
"    border-radius: 14px;\n"
"    border: 1px solid rgb(154, 153, 150);\n"
"}")
        self.widget.setObjectName("widget")
        self.SearchFrame = QtWidgets.QFrame(self.widget)
        self.SearchFrame.setGeometry(QtCore.QRect(19, 29, 211, 31))
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.MinimumExpanding, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.SearchFrame.sizePolicy().hasHeightForWidth())
        self.SearchFrame.setSizePolicy(sizePolicy)
        self.SearchFrame.setMaximumSize(QtCore.QSize(211, 16777215))
        self.SearchFrame.setStyleSheet("#SearchlineEdit{\n"
"    border-radius: 14px;\n"
"    border: 0px;\n"
"}")
        self.SearchFrame.setFrameShape(QtWidgets.QFrame.NoFrame)
        self.SearchFrame.setFrameShadow(QtWidgets.QFrame.Plain)
        self.SearchFrame.setLineWidth(2)
        self.SearchFrame.setMidLineWidth(1)
        self.SearchFrame.setObjectName("SearchFrame")
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout(self.SearchFrame)
        self.horizontalLayout_2.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout_2.setSpacing(0)
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.label = QtWidgets.QLabel(self.SearchFrame)
        self.label.setMinimumSize(QtCore.QSize(32, 32))
        font = QtGui.QFont()
        font.setBold(False)
        font.setWeight(50)
        self.label.setFont(font)
        self.label.setAlignment(QtCore.Qt.AlignCenter)
        self.label.setObjectName("label")
        self.horizontalLayout_2.addWidget(self.label)
        self.SearchlineEdit = QtWidgets.QLineEdit(self.SearchFrame)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.MinimumExpanding, QtWidgets.QSizePolicy.MinimumExpanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.SearchlineEdit.sizePolicy().hasHeightForWidth())
        self.SearchlineEdit.setSizePolicy(sizePolicy)
        self.SearchlineEdit.setAutoFillBackground(False)
        self.SearchlineEdit.setObjectName("SearchlineEdit")
        self.horizontalLayout_2.addWidget(self.SearchlineEdit)
        self.stackedWidget.addWidget(self.overview)
        self.logs = QtWidgets.QWidget()
        self.logs.setObjectName("logs")
        self.stackedWidget.addWidget(self.logs)
        self.graphs = QtWidgets.QWidget()
        self.graphs.setObjectName("graphs")
        self.stackedWidget.addWidget(self.graphs)
        self.file_sharing = QtWidgets.QWidget()
        self.file_sharing.setObjectName("file_sharing")
        self.stackedWidget.addWidget(self.file_sharing)
        self.server_updates = QtWidgets.QWidget()
        self.server_updates.setObjectName("server_updates")
        self.verticalLayout_6 = QtWidgets.QVBoxLayout(self.server_updates)
        self.verticalLayout_6.setObjectName("verticalLayout_6")
        self.tabWidget = QtWidgets.QTabWidget(self.server_updates)
        self.tabWidget.setObjectName("tabWidget")
        self.tab = QtWidgets.QWidget()
        self.tab.setObjectName("tab")
        self.verticalLayout_7 = QtWidgets.QVBoxLayout(self.tab)
        self.verticalLayout_7.setObjectName("verticalLayout_7")
        self.gridLayout_2 = QtWidgets.QGridLayout()
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.label_14 = QtWidgets.QLabel(self.tab)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.MinimumExpanding, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_14.sizePolicy().hasHeightForWidth())
        self.label_14.setSizePolicy(sizePolicy)
        self.label_14.setObjectName("label_14")
        self.gridLayout_2.addWidget(self.label_14, 1, 1, 1, 1)
        self.radioButton_2 = QtWidgets.QRadioButton(self.tab)
        self.radioButton_2.setObjectName("radioButton_2")
        self.gridLayout_2.addWidget(self.radioButton_2, 6, 1, 1, 1)
        self.label_19 = QtWidgets.QLabel(self.tab)
        self.label_19.setWordWrap(True)
        self.label_19.setObjectName("label_19")
        self.gridLayout_2.addWidget(self.label_19, 5, 1, 1, 1)
        self.label_17 = QtWidgets.QLabel(self.tab)
        self.label_17.setObjectName("label_17")
        self.gridLayout_2.addWidget(self.label_17, 3, 0, 1, 1)
        self.radioButton = QtWidgets.QRadioButton(self.tab)
        self.radioButton.setChecked(True)
        self.radioButton.setObjectName("radioButton")
        self.gridLayout_2.addWidget(self.radioButton, 4, 1, 1, 1)
        spacerItem1 = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.gridLayout_2.addItem(spacerItem1, 8, 0, 1, 1)
        self.label_18 = QtWidgets.QLabel(self.tab)
        self.label_18.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_18.setObjectName("label_18")
        self.gridLayout_2.addWidget(self.label_18, 4, 0, 1, 1)
        self.label_16 = QtWidgets.QLabel(self.tab)
        self.label_16.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_16.setObjectName("label_16")
        self.gridLayout_2.addWidget(self.label_16, 1, 0, 1, 1)
        self.label_15 = QtWidgets.QLabel(self.tab)
        self.label_15.setObjectName("label_15")
        self.gridLayout_2.addWidget(self.label_15, 0, 0, 1, 1)
        spacerItem2 = QtWidgets.QSpacerItem(20, 20, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Preferred)
        self.gridLayout_2.addItem(spacerItem2, 2, 0, 1, 1)
        self.label_20 = QtWidgets.QLabel(self.tab)
        self.label_20.setObjectName("label_20")
        self.gridLayout_2.addWidget(self.label_20, 7, 1, 1, 1)
        self.verticalLayout_7.addLayout(self.gridLayout_2)
        self.tabWidget.addTab(self.tab, "")
        self.tab_2 = QtWidgets.QWidget()
        self.tab_2.setObjectName("tab_2")
        self.tabWidget.addTab(self.tab_2, "")
        self.verticalLayout_6.addWidget(self.tabWidget)
        self.stackedWidget.addWidget(self.server_updates)
        self.certificates = QtWidgets.QWidget()
        self.certificates.setObjectName("certificates")
        self.verticalLayout_5 = QtWidgets.QVBoxLayout(self.certificates)
        self.verticalLayout_5.setContentsMargins(0, 0, 0, 0)
        self.verticalLayout_5.setSpacing(0)
        self.verticalLayout_5.setObjectName("verticalLayout_5")
        self.splitter_3 = QtWidgets.QSplitter(self.certificates)
        self.splitter_3.setFrameShape(QtWidgets.QFrame.NoFrame)
        self.splitter_3.setLineWidth(0)
        self.splitter_3.setMidLineWidth(0)
        self.splitter_3.setOrientation(QtCore.Qt.Vertical)
        self.splitter_3.setHandleWidth(1)
        self.splitter_3.setChildrenCollapsible(False)
        self.splitter_3.setObjectName("splitter_3")
        self.verticalLayoutWidget_2 = QtWidgets.QWidget(self.splitter_3)
        self.verticalLayoutWidget_2.setObjectName("verticalLayoutWidget_2")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout(self.verticalLayoutWidget_2)
        self.verticalLayout_2.setContentsMargins(0, 0, 0, 0)
        self.verticalLayout_2.setSpacing(0)
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.frame_3 = QtWidgets.QFrame(self.verticalLayoutWidget_2)
        self.frame_3.setFrameShape(QtWidgets.QFrame.HLine)
        self.frame_3.setFrameShadow(QtWidgets.QFrame.Raised)
        self.frame_3.setObjectName("frame_3")
        self.verticalLayout_2.addWidget(self.frame_3)
        self.treeView_2 = QtWidgets.QTreeView(self.verticalLayoutWidget_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.MinimumExpanding, QtWidgets.QSizePolicy.Expanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.treeView_2.sizePolicy().hasHeightForWidth())
        self.treeView_2.setSizePolicy(sizePolicy)
        self.treeView_2.setFrameShape(QtWidgets.QFrame.NoFrame)
        self.treeView_2.setObjectName("treeView_2")
        self.verticalLayout_2.addWidget(self.treeView_2)
        self.frame_4 = QtWidgets.QFrame(self.verticalLayoutWidget_2)
        self.frame_4.setFrameShape(QtWidgets.QFrame.HLine)
        self.frame_4.setFrameShadow(QtWidgets.QFrame.Raised)
        self.frame_4.setObjectName("frame_4")
        self.verticalLayout_2.addWidget(self.frame_4)
        self.horizontalLayout_9 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_9.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout_9.setSpacing(0)
        self.horizontalLayout_9.setObjectName("horizontalLayout_9")
        self.frame_2 = QtWidgets.QFrame(self.verticalLayoutWidget_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.MinimumExpanding, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.frame_2.sizePolicy().hasHeightForWidth())
        self.frame_2.setSizePolicy(sizePolicy)
        self.frame_2.setMinimumSize(QtCore.QSize(0, 0))
        self.frame_2.setStyleSheet("")
        self.frame_2.setFrameShape(QtWidgets.QFrame.NoFrame)
        self.frame_2.setFrameShadow(QtWidgets.QFrame.Plain)
        self.frame_2.setMidLineWidth(0)
        self.frame_2.setObjectName("frame_2")
        self.horizontalLayout_8 = QtWidgets.QHBoxLayout(self.frame_2)
        self.horizontalLayout_8.setContentsMargins(6, 6, 6, 6)
        self.horizontalLayout_8.setSpacing(6)
        self.horizontalLayout_8.setObjectName("horizontalLayout_8")
        self.horizontalLayout_5 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_5.setSpacing(0)
        self.horizontalLayout_5.setObjectName("horizontalLayout_5")
        self.toolButton_3 = QtWidgets.QToolButton(self.frame_2)
        self.toolButton_3.setMinimumSize(QtCore.QSize(0, 28))
        self.toolButton_3.setStyleSheet("")
        self.toolButton_3.setToolButtonStyle(QtCore.Qt.ToolButtonTextOnly)
        self.toolButton_3.setObjectName("toolButton_3")
        self.horizontalLayout_5.addWidget(self.toolButton_3)
        self.toolButton_4 = QtWidgets.QToolButton(self.frame_2)
        self.toolButton_4.setMinimumSize(QtCore.QSize(0, 28))
        self.toolButton_4.setStyleSheet("")
        self.toolButton_4.setToolButtonStyle(QtCore.Qt.ToolButtonTextOnly)
        self.toolButton_4.setObjectName("toolButton_4")
        self.horizontalLayout_5.addWidget(self.toolButton_4)
        self.horizontalLayout_8.addLayout(self.horizontalLayout_5)
        self.toolButton_5 = QtWidgets.QToolButton(self.frame_2)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.toolButton_5.sizePolicy().hasHeightForWidth())
        self.toolButton_5.setSizePolicy(sizePolicy)
        self.toolButton_5.setMinimumSize(QtCore.QSize(0, 28))
        self.toolButton_5.setMaximumSize(QtCore.QSize(16777215, 32))
        self.toolButton_5.setIconSize(QtCore.QSize(24, 24))
        self.toolButton_5.setPopupMode(QtWidgets.QToolButton.MenuButtonPopup)
        self.toolButton_5.setToolButtonStyle(QtCore.Qt.ToolButtonIconOnly)
        self.toolButton_5.setArrowType(QtCore.Qt.NoArrow)
        self.toolButton_5.setObjectName("toolButton_5")
        self.horizontalLayout_8.addWidget(self.toolButton_5)
        spacerItem3 = QtWidgets.QSpacerItem(339, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_8.addItem(spacerItem3)
        self.label_2 = QtWidgets.QLabel(self.frame_2)
        self.label_2.setObjectName("label_2")
        self.horizontalLayout_8.addWidget(self.label_2)
        self.CertificatesEditButton = QtWidgets.QPushButton(self.frame_2)
        self.CertificatesEditButton.setObjectName("CertificatesEditButton")
        self.horizontalLayout_8.addWidget(self.CertificatesEditButton)
        self.horizontalLayout_9.addWidget(self.frame_2)
        self.verticalLayout_2.addLayout(self.horizontalLayout_9)
        self.verticalLayout_2.setStretch(1, 10)
        self.stackedWidget_2 = QtWidgets.QStackedWidget(self.splitter_3)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.stackedWidget_2.sizePolicy().hasHeightForWidth())
        self.stackedWidget_2.setSizePolicy(sizePolicy)
        self.stackedWidget_2.setObjectName("stackedWidget_2")
        self.page = QtWidgets.QWidget()
        self.page.setObjectName("page")
        self.verticalLayout_4 = QtWidgets.QVBoxLayout(self.page)
        self.verticalLayout_4.setContentsMargins(10, 10, 10, 10)
        self.verticalLayout_4.setSpacing(0)
        self.verticalLayout_4.setObjectName("verticalLayout_4")
        self.gridLayout = QtWidgets.QGridLayout()
        self.gridLayout.setSizeConstraint(QtWidgets.QLayout.SetMaximumSize)
        self.gridLayout.setContentsMargins(10, 10, 10, 10)
        self.gridLayout.setSpacing(6)
        self.gridLayout.setObjectName("gridLayout")
        self.comboBox_2 = QtWidgets.QComboBox(self.page)
        self.comboBox_2.setObjectName("comboBox_2")
        self.gridLayout.addWidget(self.comboBox_2, 4, 4, 1, 1)
        self.lineEdit_4 = QtWidgets.QLineEdit(self.page)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.lineEdit_4.sizePolicy().hasHeightForWidth())
        self.lineEdit_4.setSizePolicy(sizePolicy)
        self.lineEdit_4.setObjectName("lineEdit_4")
        self.gridLayout.addWidget(self.lineEdit_4, 4, 2, 1, 1)
        self.label_11 = QtWidgets.QLabel(self.page)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_11.sizePolicy().hasHeightForWidth())
        self.label_11.setSizePolicy(sizePolicy)
        self.label_11.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_11.setObjectName("label_11")
        self.gridLayout.addWidget(self.label_11, 2, 1, 1, 1)
        self.comboBox = QtWidgets.QComboBox(self.page)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.comboBox.sizePolicy().hasHeightForWidth())
        self.comboBox.setSizePolicy(sizePolicy)
        self.comboBox.setObjectName("comboBox")
        self.comboBox.addItem("")
        self.comboBox.addItem("")
        self.comboBox.addItem("")
        self.gridLayout.addWidget(self.comboBox, 6, 2, 1, 3)
        self.label_5 = QtWidgets.QLabel(self.page)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_5.sizePolicy().hasHeightForWidth())
        self.label_5.setSizePolicy(sizePolicy)
        self.label_5.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_5.setObjectName("label_5")
        self.gridLayout.addWidget(self.label_5, 5, 1, 1, 1)
        spacerItem4 = QtWidgets.QSpacerItem(20, 0, QtWidgets.QSizePolicy.Minimum, QtWidgets.QSizePolicy.Expanding)
        self.gridLayout.addItem(spacerItem4, 10, 1, 1, 1)
        self.horizontalLayout_6 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_6.setObjectName("horizontalLayout_6")
        self.lineEdit_2 = QtWidgets.QLineEdit(self.page)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.lineEdit_2.sizePolicy().hasHeightForWidth())
        self.lineEdit_2.setSizePolicy(sizePolicy)
        self.lineEdit_2.setMaximumSize(QtCore.QSize(100, 16777215))
        self.lineEdit_2.setObjectName("lineEdit_2")
        self.horizontalLayout_6.addWidget(self.lineEdit_2)
        self.label_6 = QtWidgets.QLabel(self.page)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_6.sizePolicy().hasHeightForWidth())
        self.label_6.setSizePolicy(sizePolicy)
        self.label_6.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_6.setObjectName("label_6")
        self.horizontalLayout_6.addWidget(self.label_6)
        self.lineEdit_3 = QtWidgets.QLineEdit(self.page)
        self.lineEdit_3.setMaximumSize(QtCore.QSize(100, 16777215))
        self.lineEdit_3.setObjectName("lineEdit_3")
        self.horizontalLayout_6.addWidget(self.lineEdit_3)
        spacerItem5 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_6.addItem(spacerItem5)
        self.gridLayout.addLayout(self.horizontalLayout_6, 5, 2, 1, 3)
        self.lineEdit = QtWidgets.QLineEdit(self.page)
        self.lineEdit.setObjectName("lineEdit")
        self.gridLayout.addWidget(self.lineEdit, 7, 2, 1, 3)
        self.label_7 = QtWidgets.QLabel(self.page)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_7.sizePolicy().hasHeightForWidth())
        self.label_7.setSizePolicy(sizePolicy)
        self.label_7.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_7.setObjectName("label_7")
        self.gridLayout.addWidget(self.label_7, 4, 1, 1, 1)
        self.label_8 = QtWidgets.QLabel(self.page)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_8.sizePolicy().hasHeightForWidth())
        self.label_8.setSizePolicy(sizePolicy)
        self.label_8.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_8.setObjectName("label_8")
        self.gridLayout.addWidget(self.label_8, 3, 1, 1, 1)
        self.label_13 = QtWidgets.QLabel(self.page)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_13.sizePolicy().hasHeightForWidth())
        self.label_13.setSizePolicy(sizePolicy)
        self.label_13.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_13.setObjectName("label_13")
        self.gridLayout.addWidget(self.label_13, 0, 1, 1, 1)
        self.lineEdit_7 = QtWidgets.QLineEdit(self.page)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.lineEdit_7.sizePolicy().hasHeightForWidth())
        self.lineEdit_7.setSizePolicy(sizePolicy)
        self.lineEdit_7.setObjectName("lineEdit_7")
        self.gridLayout.addWidget(self.lineEdit_7, 1, 2, 1, 3)
        self.label_9 = QtWidgets.QLabel(self.page)
        self.label_9.setObjectName("label_9")
        self.gridLayout.addWidget(self.label_9, 4, 3, 1, 1)
        self.lineEdit_6 = QtWidgets.QLineEdit(self.page)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.lineEdit_6.sizePolicy().hasHeightForWidth())
        self.lineEdit_6.setSizePolicy(sizePolicy)
        self.lineEdit_6.setObjectName("lineEdit_6")
        self.gridLayout.addWidget(self.lineEdit_6, 2, 2, 1, 3)
        self.label_12 = QtWidgets.QLabel(self.page)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_12.sizePolicy().hasHeightForWidth())
        self.label_12.setSizePolicy(sizePolicy)
        self.label_12.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_12.setObjectName("label_12")
        self.gridLayout.addWidget(self.label_12, 1, 1, 1, 1)
        self.lineEdit_8 = QtWidgets.QLineEdit(self.page)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.lineEdit_8.sizePolicy().hasHeightForWidth())
        self.lineEdit_8.setSizePolicy(sizePolicy)
        self.lineEdit_8.setObjectName("lineEdit_8")
        self.gridLayout.addWidget(self.lineEdit_8, 0, 2, 1, 3)
        self.lineEdit_5 = QtWidgets.QLineEdit(self.page)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.lineEdit_5.sizePolicy().hasHeightForWidth())
        self.lineEdit_5.setSizePolicy(sizePolicy)
        self.lineEdit_5.setObjectName("lineEdit_5")
        self.gridLayout.addWidget(self.lineEdit_5, 3, 2, 1, 3)
        self.label_3 = QtWidgets.QLabel(self.page)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_3.sizePolicy().hasHeightForWidth())
        self.label_3.setSizePolicy(sizePolicy)
        self.label_3.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_3.setObjectName("label_3")
        self.gridLayout.addWidget(self.label_3, 7, 1, 1, 1)
        self.label_10 = QtWidgets.QLabel(self.page)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_10.sizePolicy().hasHeightForWidth())
        self.label_10.setSizePolicy(sizePolicy)
        self.label_10.setObjectName("label_10")
        self.gridLayout.addWidget(self.label_10, 8, 2, 1, 3)
        spacerItem6 = QtWidgets.QSpacerItem(0, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.gridLayout.addItem(spacerItem6, 0, 0, 1, 1)
        self.certificates_certificate_authority_value = QtWidgets.QLabel(self.page)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.MinimumExpanding, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.certificates_certificate_authority_value.sizePolicy().hasHeightForWidth())
        self.certificates_certificate_authority_value.setSizePolicy(sizePolicy)
        self.certificates_certificate_authority_value.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.certificates_certificate_authority_value.setObjectName("certificates_certificate_authority_value")
        self.gridLayout.addWidget(self.certificates_certificate_authority_value, 9, 1, 1, 1)
        self.label_4 = QtWidgets.QLabel(self.page)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_4.sizePolicy().hasHeightForWidth())
        self.label_4.setSizePolicy(sizePolicy)
        self.label_4.setAlignment(QtCore.Qt.AlignRight|QtCore.Qt.AlignTrailing|QtCore.Qt.AlignVCenter)
        self.label_4.setObjectName("label_4")
        self.gridLayout.addWidget(self.label_4, 6, 1, 1, 1)
        self.certificates_certificate_authority = QtWidgets.QLabel(self.page)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.MinimumExpanding, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.certificates_certificate_authority.sizePolicy().hasHeightForWidth())
        self.certificates_certificate_authority.setSizePolicy(sizePolicy)
        self.certificates_certificate_authority.setObjectName("certificates_certificate_authority")
        self.gridLayout.addWidget(self.certificates_certificate_authority, 9, 2, 1, 3)
        spacerItem7 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.Expanding, QtWidgets.QSizePolicy.Minimum)
        self.gridLayout.addItem(spacerItem7, 0, 5, 1, 1)
        self.gridLayout.setColumnStretch(0, 1)
        self.gridLayout.setColumnStretch(2, 5)
        self.gridLayout.setColumnStretch(5, 1)
        self.verticalLayout_4.addLayout(self.gridLayout)
        self.stackedWidget_2.addWidget(self.page)
        self.page_2 = QtWidgets.QWidget()
        self.page_2.setObjectName("page_2")
        self.stackedWidget_2.addWidget(self.page_2)
        self.verticalLayout_5.addWidget(self.splitter_3)
        self.stackedWidget.addWidget(self.certificates)
        self.setting = QtWidgets.QWidget()
        self.setting.setObjectName("setting")
        self.stackedWidget.addWidget(self.setting)
        self.horizontalLayout_7.addWidget(self.stackedWidget)
        self.verticalLayout.addWidget(self.splitter)
        self.stackedWidget_3.addWidget(self.Server)
        self.page_4 = QtWidgets.QWidget()
        self.page_4.setObjectName("page_4")
        self.stackedWidget_3.addWidget(self.page_4)
        self.verticalLayout_3.addWidget(self.splitter_2)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setSizeConstraint(QtWidgets.QLayout.SetDefaultConstraint)
        self.horizontalLayout.setContentsMargins(0, 0, 0, 0)
        self.horizontalLayout.setSpacing(0)
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.frame = QtWidgets.QFrame(self.centralwidget)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.frame.sizePolicy().hasHeightForWidth())
        self.frame.setSizePolicy(sizePolicy)
        self.frame.setMinimumSize(QtCore.QSize(100, 0))
        self.frame.setStyleSheet("")
        self.frame.setFrameShape(QtWidgets.QFrame.StyledPanel)
        self.frame.setFrameShadow(QtWidgets.QFrame.Plain)
        self.frame.setLineWidth(1)
        self.frame.setObjectName("frame")
        self.horizontalLayout_3 = QtWidgets.QHBoxLayout(self.frame)
        self.horizontalLayout_3.setContentsMargins(6, 3, 6, 3)
        self.horizontalLayout_3.setSpacing(6)
        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
        self.MainAddButton = QtWidgets.QToolButton(self.frame)
        self.MainAddButton.setMinimumSize(QtCore.QSize(40, 0))
        self.MainAddButton.setMaximumSize(QtCore.QSize(16777215, 16777215))
        self.MainAddButton.setText("+")
        self.MainAddButton.setCheckable(True)
        self.MainAddButton.setPopupMode(QtWidgets.QToolButton.InstantPopup)
        self.MainAddButton.setToolButtonStyle(QtCore.Qt.ToolButtonTextOnly)
        self.MainAddButton.setAutoRaise(False)
        self.MainAddButton.setArrowType(QtCore.Qt.NoArrow)
        self.MainAddButton.setObjectName("MainAddButton")
        self.horizontalLayout_3.addWidget(self.MainAddButton, 0, QtCore.Qt.AlignHCenter|QtCore.Qt.AlignVCenter)
        self.toolButton_2 = QtWidgets.QToolButton(self.frame)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.MinimumExpanding)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.toolButton_2.sizePolicy().hasHeightForWidth())
        self.toolButton_2.setSizePolicy(sizePolicy)
        self.toolButton_2.setMinimumSize(QtCore.QSize(40, 0))
        self.toolButton_2.setMaximumSize(QtCore.QSize(16777215, 16777215))
        self.toolButton_2.setText("−")
        self.toolButton_2.setPopupMode(QtWidgets.QToolButton.MenuButtonPopup)
        self.toolButton_2.setToolButtonStyle(QtCore.Qt.ToolButtonTextOnly)
        self.toolButton_2.setAutoRaise(False)
        self.toolButton_2.setArrowType(QtCore.Qt.NoArrow)
        self.toolButton_2.setObjectName("toolButton_2")
        self.horizontalLayout_3.addWidget(self.toolButton_2, 0, QtCore.Qt.AlignHCenter|QtCore.Qt.AlignVCenter)
        self.toolButton_6 = QtWidgets.QToolButton(self.frame)
        self.toolButton_6.setMinimumSize(QtCore.QSize(0, 0))
        self.toolButton_6.setMaximumSize(QtCore.QSize(16777215, 26))
        self.toolButton_6.setText("🗘")
        self.toolButton_6.setToolButtonStyle(QtCore.Qt.ToolButtonTextOnly)
        self.toolButton_6.setObjectName("toolButton_6")
        self.horizontalLayout_3.addWidget(self.toolButton_6, 0, QtCore.Qt.AlignHCenter|QtCore.Qt.AlignVCenter)
        spacerItem8 = QtWidgets.QSpacerItem(40, 20, QtWidgets.QSizePolicy.MinimumExpanding, QtWidgets.QSizePolicy.Minimum)
        self.horizontalLayout_3.addItem(spacerItem8)
        self.pushButton_5 = QtWidgets.QPushButton(self.frame)
        self.pushButton_5.setEnabled(False)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.pushButton_5.sizePolicy().hasHeightForWidth())
        self.pushButton_5.setSizePolicy(sizePolicy)
        self.pushButton_5.setObjectName("pushButton_5")
        self.horizontalLayout_3.addWidget(self.pushButton_5)
        self.pushButton_4 = QtWidgets.QPushButton(self.frame)
        self.pushButton_4.setEnabled(False)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.pushButton_4.sizePolicy().hasHeightForWidth())
        self.pushButton_4.setSizePolicy(sizePolicy)
        self.pushButton_4.setObjectName("pushButton_4")
        self.horizontalLayout_3.addWidget(self.pushButton_4)
        self.horizontalLayout.addWidget(self.frame)
        self.verticalLayout_3.addLayout(self.horizontalLayout)
        self.verticalLayout_3.setStretch(0, 1)
        MainWindow.setCentralWidget(self.centralwidget)
        self.menubar = QtWidgets.QMenuBar(MainWindow)
        self.menubar.setGeometry(QtCore.QRect(0, 0, 1023, 24))
        self.menubar.setObjectName("menubar")
        self.menuFile = QtWidgets.QMenu(self.menubar)
        self.menuFile.setObjectName("menuFile")
        self.menuManage = QtWidgets.QMenu(self.menubar)
        self.menuManage.setObjectName("menuManage")
        self.menuRemove = QtWidgets.QMenu(self.menuManage)
        self.menuRemove.setObjectName("menuRemove")
        self.menuAdd = QtWidgets.QMenu(self.menuManage)
        self.menuAdd.setObjectName("menuAdd")
        self.menuHelp = QtWidgets.QMenu(self.menubar)
        self.menuHelp.setObjectName("menuHelp")
        self.menuTools = QtWidgets.QMenu(self.menubar)
        self.menuTools.setObjectName("menuTools")
        MainWindow.setMenuBar(self.menubar)
        self.actionNew = QtWidgets.QAction(MainWindow)
        icon = QtGui.QIcon.fromTheme("document-new")
        self.actionNew.setIcon(icon)
        self.actionNew.setObjectName("actionNew")
        self.actionOpen = QtWidgets.QAction(MainWindow)
        icon = QtGui.QIcon.fromTheme("document-open")
        self.actionOpen.setIcon(icon)
        self.actionOpen.setObjectName("actionOpen")
        self.actionRecent_Clans = QtWidgets.QAction(MainWindow)
        icon = QtGui.QIcon.fromTheme("document-recent")
        self.actionRecent_Clans.setIcon(icon)
        self.actionRecent_Clans.setObjectName("actionRecent_Clans")
        self.actionQuit = QtWidgets.QAction(MainWindow)
        self.actionQuit.setObjectName("actionQuit")
        self.actionSave = QtWidgets.QAction(MainWindow)
        self.actionSave.setObjectName("actionSave")
        self.actionSave_As = QtWidgets.QAction(MainWindow)
        self.actionSave_As.setObjectName("actionSave_As")
        self.actionUsers = QtWidgets.QAction(MainWindow)
        self.actionUsers.setObjectName("actionUsers")
        self.actionRemoveServer = QtWidgets.QAction(MainWindow)
        self.actionRemoveServer.setObjectName("actionRemoveServer")
        self.actionRemoveUser = QtWidgets.QAction(MainWindow)
        self.actionRemoveUser.setObjectName("actionRemoveUser")
        self.actionRemoveGroup = QtWidgets.QAction(MainWindow)
        self.actionRemoveGroup.setObjectName("actionRemoveGroup")
        self.actionAddUser = QtWidgets.QAction(MainWindow)
        self.actionAddUser.setObjectName("actionAddUser")
        self.actionAddGroup = QtWidgets.QAction(MainWindow)
        self.actionAddGroup.setObjectName("actionAddGroup")
        self.actionAddServer = QtWidgets.QAction(MainWindow)
        self.actionAddServer.setObjectName("actionAddServer")
        self.actionRefresh = QtWidgets.QAction(MainWindow)
        self.actionRefresh.setObjectName("actionRefresh")
        self.actionApply = QtWidgets.QAction(MainWindow)
        self.actionApply.setObjectName("actionApply")
        self.actionAbout = QtWidgets.QAction(MainWindow)
        self.actionAbout.setObjectName("actionAbout")
        self.actionOneline_documentation = QtWidgets.QAction(MainWindow)
        self.actionOneline_documentation.setObjectName("actionOneline_documentation")
        self.actionOffline_documenatation = QtWidgets.QAction(MainWindow)
        self.actionOffline_documenatation.setObjectName("actionOffline_documenatation")
        self.actionToolsNetworkUtility = QtWidgets.QAction(MainWindow)
        self.actionToolsNetworkUtility.setObjectName("actionToolsNetworkUtility")
        self.menuFile.addAction(self.actionNew)
        self.menuFile.addAction(self.actionOpen)
        self.menuFile.addAction(self.actionRecent_Clans)
        self.menuFile.addSeparator()
        self.menuFile.addAction(self.actionSave)
        self.menuFile.addAction(self.actionSave_As)
        self.menuFile.addSeparator()
        self.menuFile.addAction(self.actionQuit)
        self.menuRemove.addAction(self.actionRemoveGroup)
        self.menuRemove.addAction(self.actionRemoveUser)
        self.menuRemove.addAction(self.actionRemoveServer)
        self.menuAdd.addAction(self.actionAddUser)
        self.menuAdd.addAction(self.actionAddGroup)
        self.menuAdd.addAction(self.actionAddServer)
        self.menuManage.addAction(self.menuAdd.menuAction())
        self.menuManage.addAction(self.menuRemove.menuAction())
        self.menuManage.addSeparator()
        self.menuManage.addAction(self.actionApply)
        self.menuManage.addAction(self.actionRefresh)
        self.menuHelp.addAction(self.actionOneline_documentation)
        self.menuHelp.addAction(self.actionOffline_documenatation)
        self.menuHelp.addSeparator()
        self.menuHelp.addAction(self.actionAbout)
        self.menuTools.addAction(self.actionToolsNetworkUtility)
        self.menubar.addAction(self.menuFile.menuAction())
        self.menubar.addAction(self.menuManage.menuAction())
        self.menubar.addAction(self.menuTools.menuAction())
        self.menubar.addAction(self.menuHelp.menuAction())

        self.retranslateUi(MainWindow)
        self.stackedWidget_3.setCurrentIndex(0)
        self.stackedWidget.setCurrentIndex(4)
        self.tabWidget.setCurrentIndex(0)
        self.stackedWidget_2.setCurrentIndex(1)
        self.comboBox.setCurrentIndex(2)
        self.actionQuit.triggered.connect(MainWindow.close) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(MainWindow)

    def retranslateUi(self, MainWindow):
        _translate = QtCore.QCoreApplication.translate
        MainWindow.setWindowTitle(_translate("MainWindow", "MainWindow"))
        self.MainTreeWidget.setSortingEnabled(True)
        self.MainTreeWidget.headerItem().setText(0, _translate("MainWindow", "1"))
        self.toolButton.setText(_translate("MainWindow", "Overview"))
        self.toolButton_11.setText(_translate("MainWindow", "Logs"))
        self.toolButton_10.setText(_translate("MainWindow", "Graphs"))
        self.toolButton_9.setText(_translate("MainWindow", "File Sharing"))
        self.toolButton_12.setText(_translate("MainWindow", "Server Updates"))
        self.toolButton_8.setText(_translate("MainWindow", "Certificates"))
        self.toolButton_7.setText(_translate("MainWindow", "Setting"))
        self.label.setText(_translate("MainWindow", "🔍"))
        self.SearchlineEdit.setPlaceholderText(_translate("MainWindow", "Search"))
        self.label_14.setText(_translate("MainWindow", "TextLabel"))
        self.radioButton_2.setText(_translate("MainWindow", "Manual"))
        self.label_19.setText(_translate("MainWindow", "<html><head/><body><p><span style=\" vertical-align:super;\">The purpose of unattended-upgrades is to keep the computer current with the latest security (and other) updates automatically.</span></p></body></html>"))
        self.label_17.setText(_translate("MainWindow", "Settings"))
        self.radioButton.setText(_translate("MainWindow", "Automatic"))
        self.label_18.setText(_translate("MainWindow", "Mode:"))
        self.label_16.setText(_translate("MainWindow", "Satuts:"))
        self.label_15.setText(_translate("MainWindow", "Access"))
        self.label_20.setText(_translate("MainWindow", "Nothing spcial is done, the server default  policy is "))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tab), _translate("MainWindow", "Settings"))
        self.tabWidget.setTabText(self.tabWidget.indexOf(self.tab_2), _translate("MainWindow", "Updates"))
        self.toolButton_3.setText(_translate("MainWindow", "+"))
        self.toolButton_4.setText(_translate("MainWindow", "−"))
        self.toolButton_5.setText(_translate("MainWindow", "⚙"))
        self.label_2.setText(_translate("MainWindow", "<html><head/><body><p><span style=\" vertical-align:sub;\">To edit certificate, click the Edit button.</span></p></body></html>"))
        self.CertificatesEditButton.setText(_translate("MainWindow", "Edit"))
        self.label_11.setText(_translate("MainWindow", "Organisation Unit:"))
        self.comboBox.setItemText(0, _translate("MainWindow", "1024"))
        self.comboBox.setItemText(1, _translate("MainWindow", "2048"))
        self.comboBox.setItemText(2, _translate("MainWindow", "4096"))
        self.label_5.setText(_translate("MainWindow", "Valid From:"))
        self.label_6.setText(_translate("MainWindow", "to:"))
        self.label_7.setText(_translate("MainWindow", "Sate/Province:"))
        self.label_8.setText(_translate("MainWindow", "City (Locality):"))
        self.label_13.setText(_translate("MainWindow", "Common Name:"))
        self.label_9.setText(_translate("MainWindow", "Country Code:"))
        self.label_12.setText(_translate("MainWindow", "Organisation:"))
        self.label_3.setText(_translate("MainWindow", "Private Key Passphrase:"))
        self.label_10.setText(_translate("MainWindow", "<html><head/><body><p><span style=\" vertical-align:super;\">The passphrase, if provided, is used to wrap the exported private key.</span></p></body></html>"))
        self.certificates_certificate_authority_value.setText(_translate("MainWindow", "Certificat Authority:"))
        self.label_4.setText(_translate("MainWindow", "Private Key Size:"))
        self.certificates_certificate_authority.setText(_translate("MainWindow", "Self Signed"))
        self.pushButton_5.setText(_translate("MainWindow", "Save"))
        self.pushButton_4.setText(_translate("MainWindow", "Revert"))
        self.menuFile.setTitle(_translate("MainWindow", "File"))
        self.menuManage.setTitle(_translate("MainWindow", "Manage"))
        self.menuRemove.setTitle(_translate("MainWindow", "Remove"))
        self.menuAdd.setTitle(_translate("MainWindow", "Add"))
        self.menuHelp.setTitle(_translate("MainWindow", "Help"))
        self.menuTools.setTitle(_translate("MainWindow", "Tools"))
        self.actionNew.setText(_translate("MainWindow", "New"))
        self.actionNew.setShortcut(_translate("MainWindow", "Ctrl+N"))
        self.actionOpen.setText(_translate("MainWindow", "Open"))
        self.actionOpen.setShortcut(_translate("MainWindow", "Ctrl+O"))
        self.actionRecent_Clans.setText(_translate("MainWindow", "Recent Clans"))
        self.actionQuit.setText(_translate("MainWindow", "Quit"))
        self.actionQuit.setShortcut(_translate("MainWindow", "Ctrl+Q"))
        self.actionSave.setText(_translate("MainWindow", "Save"))
        self.actionSave.setShortcut(_translate("MainWindow", "Ctrl+S"))
        self.actionSave_As.setText(_translate("MainWindow", "Save As"))
        self.actionSave_As.setShortcut(_translate("MainWindow", "Ctrl+Shift+S"))
        self.actionUsers.setText(_translate("MainWindow", "Users"))
        self.actionRemoveServer.setText(_translate("MainWindow", "Server"))
        self.actionRemoveServer.setShortcut(_translate("MainWindow", "Ctrl+Shift+S"))
        self.actionRemoveUser.setText(_translate("MainWindow", "User"))
        self.actionRemoveUser.setShortcut(_translate("MainWindow", "Ctrl+Shift+U"))
        self.actionRemoveGroup.setText(_translate("MainWindow", "Group"))
        self.actionRemoveGroup.setShortcut(_translate("MainWindow", "Ctrl+Shift+G"))
        self.actionAddUser.setText(_translate("MainWindow", "User"))
        self.actionAddUser.setShortcut(_translate("MainWindow", "Ctrl+Alt+A"))
        self.actionAddGroup.setText(_translate("MainWindow", "Group"))
        self.actionAddGroup.setShortcut(_translate("MainWindow", "Ctrl+Alt+G"))
        self.actionAddServer.setText(_translate("MainWindow", "Server"))
        self.actionAddServer.setShortcut(_translate("MainWindow", "Ctrl+Alt+S"))
        self.actionRefresh.setText(_translate("MainWindow", "Refresh"))
        self.actionRefresh.setShortcut(_translate("MainWindow", "Ctrl+R"))
        self.actionApply.setText(_translate("MainWindow", "Apply Config"))
        self.actionAbout.setText(_translate("MainWindow", "About"))
        self.actionOneline_documentation.setText(_translate("MainWindow", "On Line documentation"))
        self.actionOffline_documenatation.setText(_translate("MainWindow", "Off Line Documenatation"))
        self.actionToolsNetworkUtility.setText(_translate("MainWindow", "Network Utility"))
from clanskeeper import qressources_rc
